package ru.yandex.webmaster3.storage.download.common;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * ishalaru
 * 27.03.2020
 **/
public class TurboTopPagesWithoutTurboMdsExportDescriptor extends MdsExportDescriptor {

    private String domain;

    @JsonCreator
    public TurboTopPagesWithoutTurboMdsExportDescriptor(@JsonProperty("domain") String domain) {
        super(DownloadFileType.TURBO_TOP_PAGES_WITHOUT_TURBO);
        this.domain = domain;
    }

    public String getDomain() {
        return domain;
    }

}
